Bug 493603 - (unclutter-review) Review Request: unclutter - hide mouse cursor when idle
Review Request: unclutter - hide mouse cursor when idle
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 08:25 EDT by Till Maas
Modified: 2009-04-21 20:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: 8-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 20:56:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cooly: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2009-04-02 08:25:55 EDT
Spec URL: http://till.fedorapeople.org/review/unclutter.spec
SRPM URL: http://till.fedorapeople.org/review/unclutter-8-1.fc10.src.rpm
Description:
Unclutter hides the mouse cursor when it is not moved for a specified amount of
time. It will be restored it once it is moved again.
Comment 1 Lucian Langa 2009-04-11 05:42:18 EDT
Please consider using this text as description:

Unclutter hides the mouse cursor image from the screen so that it does not
obstruct the area you are looking at. It hides the mouse cursor when it is 
not moved for a specified amount of time or no buttons are pressed on the
mouse. Cursor image will be restored once the mouse is moved again.
Comment 2 Till Maas 2009-04-11 05:55:08 EDT
(In reply to comment #1)
> Please consider using this text as description:
> 
> Unclutter hides the mouse cursor image from the screen so that it does not
> obstruct the area you are looking at. It hides the mouse cursor when it is 
> not moved for a specified amount of time or no buttons are pressed on the
> mouse. Cursor image will be restored once the mouse is moved again.  

Thanks, I will change it before importing it to Fedora or when another reason to update the spec file occurs earlier.
Comment 3 Lucian Langa 2009-04-11 06:10:42 EDT
I will review this.
Comment 4 Lucian Langa 2009-04-11 09:02:05 EDT
This is is a simple program, it builds fine and rpmlint is silent.

I note there are several sites where this program is distributed. There are tar.gz version of this package and seems a little smaller than tar.Z is there any reason not to use the smaller package ?

Perhaps later would make sense to provide a xinitrc.d file to start this automatically when X is started.

OK source files match upstream:
        726e829b41e9cb4d6a14cd91ca7efa02125be2be  unclutter-8.tar.Z
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK summary a short and concise description.
OK description is OK - using alternate suggested text
OK dist tag is present.
OK build root is sane.
OK license field matches the actual license.
OK license is open source-compatible.
OK license text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK compiler flags are appropriate.
OK %clean is present.
OK package builds in mock (rawhide, x86_64).
OK package installs properly.
OK debuginfo package looks complete.
OK rpmlint is silent.
Ok final provides and requires are sane:
        unclutter = 8-1.fc11
        unclutter(x86-64) = 8-1.fc11
        =
        libX11.so.6()(64bit)
        libXext.so.6()(64bit)
        libc.so.6()(64bit)
OK %check there's no test suite upstream; I was able to run this program and
it works as exected.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK doesn't own any directories it shouldn't.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.

APPROVED.
Comment 5 Till Maas 2009-04-12 06:27:12 EDT
(In reply to comment #4)

> I note there are several sites where this program is distributed. There are
> tar.gz version of this package and seems a little smaller than tar.Z is there
> any reason not to use the smaller package ?

I simply used the same source that was mentioned in the debian Copyright file. The tar.Z tarball is probably the original tarball, therefore I prefer it. But I can also change it.

> Perhaps later would make sense to provide a xinitrc.d file to start this
> automatically when X is started.

Imho it should be left to the user that logs in to decide, whether and with which options to start unclutter.

New Package CVS Request
=======================
Package Name: unclutter
Short Description: hide mouse cursor when idle
Owners: till
Branches: F-9 F-10 F-11 EL-5
InitialCC:
Comment 6 Kevin Fenzi 2009-04-12 14:22:54 EDT
cvs done.
Comment 7 Fedora Update System 2009-04-12 16:56:21 EDT
unclutter-8-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/unclutter-8-2.fc9
Comment 8 Fedora Update System 2009-04-12 16:56:25 EDT
unclutter-8-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/unclutter-8-2.fc10
Comment 9 Fedora Update System 2009-04-13 15:31:10 EDT
unclutter-8-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unclutter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3504
Comment 10 Fedora Update System 2009-04-13 15:37:58 EDT
unclutter-8-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update unclutter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3549
Comment 11 Fedora Update System 2009-04-21 20:56:39 EDT
unclutter-8-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-04-21 20:57:09 EDT
unclutter-8-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.